package WechatServer

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/WechatServer"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /server WechatServer GetServerById
//
// Get server by ID | 通过ID获取Server
//
// Get server by ID | 通过ID获取Server
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: ServerInfoResp

func GetServerByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := WechatServer.NewGetServerByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetServerById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
